package com.css.simulation.resource.server.infra.db.mysql.mapper;


import api.common.pojo.po.system.DictPO;
import api.common.pojo.vo.system.DictVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface DictMapper {

    List<DictVO> getDicts(List dictTypeList);
    void saveSystemDict(DictPO po);
    void createSystemDict(DictPO po);
    void updateSystemDict(DictPO po);
    int deleteSystemDict(DictPO po);
    int deleteDictById(DictPO po);
    String getDictByDictCode(DictPO po);
    DictPO getDictByDictType(DictPO po);
}
